
package de.ivu.elect.business.personenregister.control;

public class PersonenregisterPersonendatenMatcherResult {

  private final boolean attributeToMatchAutomatischUebernehmbar;

  private final PersonenregisterPersonendatenMatchArt matchArt;

  private final boolean uebernehmbar;

  public PersonenregisterPersonendatenMatcherResult(boolean attributeToMatchAutomatischUebernehmbar, PersonenregisterPersonendatenMatchArt matchArt, boolean uebernehmbar) {
    super();

    this.attributeToMatchAutomatischUebernehmbar = attributeToMatchAutomatischUebernehmbar;
    this.matchArt = matchArt;
    this.uebernehmbar = uebernehmbar;
  }

  public boolean isAttributeToMatchAutomatischUebernehmbar() {
    return attributeToMatchAutomatischUebernehmbar;
  }

  public boolean isValueIdentisch() {
    return getMatchArt().isIdentisch();
  }

  public boolean isValueAehnlich() {
    return getMatchArt().isAehnlich();
  }

  public boolean isValueVerschieden() {
    return getMatchArt().isVerschieden();
  }

  public PersonenregisterPersonendatenMatchArt getMatchArt() {
    return matchArt;
  }

  public boolean isUebernehmbar() {
    return uebernehmbar;
  }
}
